summaryrefslogtreecommitdiff
path: root/files/OpenBSD/bin
diff options
context:
space:
mode:
Diffstat (limited to 'files/OpenBSD/bin')
-rw-r--r--files/OpenBSD/bin/apache_logrotate.sh6
-rw-r--r--files/OpenBSD/bin/restart_apache.sh6
-rw-r--r--files/OpenBSD/bin/restart_apache_ssl.sh6
3 files changed, 18 insertions, 0 deletions
diff --git a/files/OpenBSD/bin/apache_logrotate.sh b/files/OpenBSD/bin/apache_logrotate.sh
new file mode 100644
index 0000000..c8614f8
--- /dev/null
+++ b/files/OpenBSD/bin/apache_logrotate.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+WEBROOT="/var/www/htdocs"
+#PIDFILE="/var/www/logs/httpd.pid"
+echo "#Autogenrated newsyslog.conf\n# logfile_name owner:group mode count size when flags"
+find $WEBROOT -name '*_log' -exec perl -e 'print "\n{}\twww:www\t644\t30\t*\t\$D0\tZ" ' \;
+perl -e 'print "\t\t \"/bin/sh /opt/bin/restart_apache.sh\"";'
diff --git a/files/OpenBSD/bin/restart_apache.sh b/files/OpenBSD/bin/restart_apache.sh
new file mode 100644
index 0000000..4dc936d
--- /dev/null
+++ b/files/OpenBSD/bin/restart_apache.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl start 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )
diff --git a/files/OpenBSD/bin/restart_apache_ssl.sh b/files/OpenBSD/bin/restart_apache_ssl.sh
new file mode 100644
index 0000000..314018b
--- /dev/null
+++ b/files/OpenBSD/bin/restart_apache_ssl.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl startssl 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )